SQL-инъекция в WordPress Js-appointment Plugin

Дата публикации:
29.08.2011
Дата изменения:
09.11.2011
Всего просмотров:
713
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WordPress Js-appointment Plugin 1.x
Уязвимые версии: Js-appointment Plugin for WordPress 1.5, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре ""cat в сценарии wp-content/plugins/js-appointment/searchdata.php (когда параметр "search_action" равен "searchadv"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: http://wordpress.org/extend/plugins/js-appointment/

Решение: Установите последнюю версию 1.5.1 с сайта производителя.

Ссылки: http://wordpress.org/extend/plugins/js-appointment/changelog/
http://www.exploit-db.com/exploits/17724/

или введите имя

CAPTCHA